org.eclipse.rdf4j.http.client

## Class BackgroundTupleResult

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<E,X>
  - - org.eclipse.rdf4j.common.iteration.IterationWrapper<BindingSet,QueryEvaluationException>
    - - org.eclipse.rdf4j.query.impl.IteratingTupleQueryResult
      - - org.eclipse.rdf4j.query.resultio.helpers.BackgroundTupleResult
        - - org.eclipse.rdf4j.http.client.BackgroundTupleResult

- All Implemented Interfaces:
    AutoCloseable, Iterable<BindingSet>, Runnable, CloseableIteration<BindingSet,QueryEvaluationException>, Iteration<BindingSet,QueryEvaluationException>, QueryResult<BindingSet>, QueryResultHandler, TupleQueryResult, TupleQueryResultHandler

  Deprecated.
  Use `BackgroundTupleResult` instead.

      @Deprecated
      public class BackgroundTupleResult
      extends BackgroundTupleResult

  Provides concurrent access to tuple results as they are being parsed.
  Author:
    James Leigh

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.common.iteration.IterationWrapper

      `wrappedIter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BackgroundTupleResult(QueueCursor<BindingSet> queue, TupleQueryResultParser parser, InputStream in)` Deprecated.
    `BackgroundTupleResult(TupleQueryResultParser parser, InputStream in)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.helpers.BackgroundTupleResult

      `endQueryResult, getBindingNames, handleBoolean, handleClose, handleLinks, handleSolution, run, startQueryResult`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.IterationWrapper

      `hasNext, next, remove`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.QueryResult

      `iterator`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.CloseableIteration

      `close`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `hasNext, next, remove, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### BackgroundTupleResult

          public BackgroundTupleResult(TupleQueryResultParser parser,
                                       InputStream in)

      Deprecated.

    - #### BackgroundTupleResult

          public BackgroundTupleResult(QueueCursor<BindingSet> queue,
                                       TupleQueryResultParser parser,
                                       InputStream in)

      Deprecated.

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.